com.fasterxml.jackson.annotation

## Annotation Type JsonClassDescription

    @Target(value={ANNOTATION_TYPE,TYPE})
     @Retention(value=RUNTIME)
     @Documented
    public @interface JsonClassDescription

Annotation used to define a human-readable description for annotated type (class). Currently used to populate the description field in generated JSON Schemas.

Since:
  2.7

### Optional Element Summary

Optional Elements
`String` `value` Defines a human-readable description of the class.

### Element Detail

#### value

    public abstract String value

Defines a human-readable description of the class.

Default:
  ""